import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BillIdMappingModel } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 14:49
 */
interface BillIdMappingModelCU extends ConditionUtil<BillIdMappingModelCU>{
    ID:FieldUtil<BillIdMappingModelCU>;
    TAPDID:FieldUtil<BillIdMappingModelCU>;
    PARKID:FieldUtil<BillIdMappingModelCU>;
    BILLID:FieldUtil<BillIdMappingModelCU>;
    CREATETIME:FieldUtil<BillIdMappingModelCU>;
}

class BillIdMappingModelCUImpl extends ConditionUtilImpl<BillIdMappingModelCUImpl> implements BillIdMappingModelCU{ 
    newInstance(): BillIdMappingModelCUImpl {
        return new BillIdMappingModelCUImpl();
    } 
    get ID(): FieldUtil<BillIdMappingModelCU>{  
        return new FieldUtil('id','id','', this);
    }
    get TAPDID(): FieldUtil<BillIdMappingModelCU>{  
        return new FieldUtil('tapdId','tapdid','tapdId', this);
    }
    get PARKID(): FieldUtil<BillIdMappingModelCU>{  
        return new FieldUtil('parkId','parkid','车场id', this);
    }
    get BILLID(): FieldUtil<BillIdMappingModelCU>{  
        return new FieldUtil('billId','billid','billId', this);
    }
    get CREATETIME(): FieldUtil<BillIdMappingModelCU>{  
        return new FieldUtil('createTime','createtime','创建时间', this);
    }
}

@Singleton 
class BillIdMappingModelMU extends TableUtilImpl<BillIdMappingModelCU,BillIdMappingModel>{ 
    tableName  = 't_ns_1047713_billId_mapping';
    tableFields  = ['id','tapdId','parkId','billId','createTime'];
    modelFields  = ['id','tapdid','parkid','billid','createtime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BillIdMappingModelCU {
        return new BillIdMappingModelCUImpl();
    }   

    static get ID(): FieldUtil<BillIdMappingModelCU>{ 
        return new FieldUtil('id','id','', new BillIdMappingModelCUImpl());
    }
    static get TAPDID(): FieldUtil<BillIdMappingModelCU>{ 
        return new FieldUtil('tapdId','tapdid','tapdId', new BillIdMappingModelCUImpl());
    }
    static get PARKID(): FieldUtil<BillIdMappingModelCU>{ 
        return new FieldUtil('parkId','parkid','车场id', new BillIdMappingModelCUImpl());
    }
    static get BILLID(): FieldUtil<BillIdMappingModelCU>{ 
        return new FieldUtil('billId','billid','billId', new BillIdMappingModelCUImpl());
    }
    static get CREATETIME(): FieldUtil<BillIdMappingModelCU>{ 
        return new FieldUtil('createTime','createtime','创建时间', new BillIdMappingModelCUImpl());
    }

    get ID(): FieldUtil<BillIdMappingModelCU>{ 
        return BillIdMappingModelMU.ID;
    }
    get TAPDID(): FieldUtil<BillIdMappingModelCU>{ 
        return BillIdMappingModelMU.TAPDID;
    }
    get PARKID(): FieldUtil<BillIdMappingModelCU>{ 
        return BillIdMappingModelMU.PARKID;
    }
    get BILLID(): FieldUtil<BillIdMappingModelCU>{ 
        return BillIdMappingModelMU.BILLID;
    }
    get CREATETIME(): FieldUtil<BillIdMappingModelCU>{ 
        return BillIdMappingModelMU.CREATETIME;
    }
}
export {BillIdMappingModelMU, BillIdMappingModelCU}
